#!/usr/bin/env python
import sys, glob
from pylab import *

dirlist=glob.glob('*')
legendList=[]
lineTypeList=['o-','v--','^-.','>:','s-','p--','*-.','h:','H-','+--','x-.']
for divScheme in dirlist:
	index=dirlist.index(divScheme)
	a=mlab.load(divScheme+"/spatialError")
	loglog(a[:,0],abs(a[:,2]),lineTypeList[index],markerfacecolor='none')
	legendList.append(divScheme)

grid(color='k',which='minor',linestyle=':')
grid(color='k',which='major',linestyle='--')
legend(legendList,loc='lower right')
xlabel(r"$\frac{\Delta x}{\Delta x_{finest}}$",fontsize=16)
ylabel(r"$\frac{S-A}{U_{max}}$",fontsize=16)
xticks((1,2,4,8,10),('1','2','4','8','10'))
ylim(1e-4,1e-1)
#title("Convergence of spatial and temporal error")
savefig("errorConvergence.eps",format='eps')
