#!/opt/local/bin/python 
import matplotlib
matplotlib.use('ps')
#matplotlib.use('PDF')
from pylab import *
import sys

# get command line argument
divScheme=sys.argv[1]

# line plots
a=mlab.load("mesh8/sets/1/lineX_U_UA.xy")
b=mlab.load("mesh16/sets/1/lineX_U_UA.xy")
c=mlab.load("mesh32/sets/1/lineX_U_UA.xy")
d=mlab.load("mesh64/sets/1/lineX_U_UA.xy")
subplot(2,1,1)
plot(a[:,0],a[:,2])
plot(b[:,0],b[:,2])
plot(c[:,0],c[:,2])
plot(d[:,0],d[:,2])
plot(d[:,0],d[:,5],'k--',linewidth=2)
grid()
legend(('8x8 mesh','16x16 mesh','32x32 mesh','64x64 mesh','analytical'),loc='upper left')
xlabel("x coordinate")
ylabel("v-component of velocity")
title("Grid convergence for div(phi,U) = "+divScheme)

e=mlab.load("mesh8/sets/1/lineX_p_pA.xy")
f=mlab.load("mesh16/sets/1/lineX_p_pA.xy")
g=mlab.load("mesh32/sets/1/lineX_p_pA.xy")
h=mlab.load("mesh64/sets/1/lineX_p_pA.xy")
subplot(2,1,2)
plot(e[:,0],e[:,1]-e[1,1])
plot(f[:,0],f[:,1]-f[1,1])
plot(g[:,0],g[:,1]-g[1,1])
plot(h[:,0],h[:,1]-h[1,1])
plot(h[:,0],h[:,2],'k--',linewidth=2)
grid()
xlabel("x coordinate")
ylabel("pressure")
savefig("lines"+divScheme+".eps",format='eps')
#show()
