#!/opt/local/bin/python 
import matplotlib

# now load pylab and other modules
from pylab import *
import sys

# get command line arguments
meshDim = float(sys.argv[1])
divScheme = sys.argv[2]
mesh = sys.argv[3]

# contours
ua=mlab.load("surfaces/1/UA_plane.raw")
us=mlab.load("surfaces/1/U_plane.raw")
x=ua[:,0]
y=ua[:,1]
uA=ua[:,3]
vA=ua[:,4]
uS=us[:,3]
vS=us[:,4]
UAMag=sqrt(uA**2+vA**2)
USMag=sqrt(uS**2+vS**2)
levels = arange(0, max(UAMag.max(),USMag.max()), 0.01)

axis('scaled')
#title(r"Analytical Solution $(A)$ Velocity Vectors")
title("Velocity Vectors for divScheme = "+divScheme)
xlim(-1.6,1.6)
ylim(-1.6,1.6)
#quiver(x,y,uA,vA,UAMag,scale=4,headlength=4,headwidth=4,width=0.001)
quiver(x,y,uS,vS,USMag,scale=5,headlength=4,headwidth=4,width=0.001)
#colorbar(fraction=0.045)
savefig("Vectors"+divScheme+mesh+".eps",format='eps')
